Bug 854386 - Review Request: rubygem-openstack-quantum-client - Ruby openstack quantum Client
Review Request: rubygem-openstack-quantum-client - Ruby openstack quantum Client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guillermo Gómez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 17:05 EDT by Alejandro_Perez
Modified: 2012-12-05 02:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-05 02:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guillermo.gomez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alejandro_Perez 2012-09-04 17:05:58 EDT
Spec URL: http://aeperezt.fedorapeople.org/rpmdev/rubygem-openstack-quantum-client.spec
SRPM URL: http://aeperezt.fedorapeople.org/rpmdev/rubygem-openstack-quantum-client-0.1.5-1.fc17.src.rpm
Description: A simple gem to deal with openstack quantum
Fedora Account System Username:aeperezt
Comment 1 Alejandro_Perez 2012-09-04 17:08:34 EDT
rpmlint output:

rpmlint SPECS/rubygem-openstack-quantum-client.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint SRPMS/rubygem-openstack-quantum-client-0.1.5-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint RPMS/noarch/rubygem-openstack-quantum-client-0.1.5-1.fc17.noarch.rpm 
rubygem-openstack-quantum-client.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Guillermo Gómez 2012-09-29 06:59:29 EDT
I'll review.
Comment 3 Guillermo Gómez 2012-09-29 08:29:55 EDT
1) Unneeded macros, those are provided by rubygems-devel, remove please.

%global gem_dir /usr/share/rubygems
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib

also, they point to wrong locations for the files.

2) Source0:        https://rubygems.org/downloads/openstack-quantum-client-0.1.5.gem

Please use macros for name and version, sample:

Source0:       http://rubygems.org/downloads/%{gem_name}-%{version}.gem 

3) BuildArch tag repeated in main pkg and doc subpkg. doc subpkg inherits the tag from main declaration. Remove the latest BuildArch tag please.
Comment 4 Alejandro_Perez 2012-09-30 18:48:07 EDT
Hum I had take out unneeded macros, vefore you start the review forgot tu update the srpm on the link. Sorry on that.
Comment 5 Guillermo Gómez 2012-10-15 17:47:30 EDT
Do we have new spec and srpm available?
Comment 6 Alejandro_Perez 2012-10-15 18:01:05 EDT
Yes here it is 

http://aeperezt.fedorapeople.org/rpmdev/rubygem-openstack-quantum-client-0.1.5-2.fc17.src.rpm

 rpmlint SRPMS/rubygem-openstack-quantum-client-0.1.5-2.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 7 Guillermo Gómez 2012-10-26 09:00:18 EDT
Ruby:
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir}

%files doc
%doc %{gem_instdir}/README.markdown
%doc %{gem_dir}/doc     << please use rubygem-devel package macros for this.

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

Diff spec file in url and in SRPM
---------------------------------
--- /home/gomix/Fedpkg/fedora-review/854386-rubygem-openstack-quantum-client/srpm/rubygem-openstack-quantum-client.spec	2012-10-26 06:16:54.135068777 -0430
+++ /home/gomix/Fedpkg/fedora-review/854386-rubygem-openstack-quantum-client/srpm-unpacked/rubygem-openstack-quantum-client.spec	2012-10-26 06:16:56.549061667 -0430
@@ -2,5 +2,5 @@
 Name:		rubygem-%{gem_name}
 Version:	0.1.5
-Release:	1%{?dist}
+Release:	2%{?dist}
 Summary:	The main objective of this gem is to deal easily with openstack quantum
 
Heads up, this a false positive BUT, just to make the reviewer life happier, always include both links, srpm and spec (fedora-review has detected the old one in bz).

[?]: Empty changelog entry for version 0.1.5-2 ?

%changelog
* Sun Oct 15 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-2
* Sun Sep 02 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.1.5-1
- Initial package
Comment 8 Alejandro_Perez 2012-10-29 10:49:52 EDT
Thanks for the notice. it has been done.

http://aeperezt.fedorapeople.org/rpmdev/rubygem-openstack-quantum-client.spec

http://aeperezt.fedorapeople.org/rpmdev/rubygem-openstack-quantum-client-0.1.5-3.fc17.src.rpm

rpmlint SPECS/rubygem-openstack-quantum-client.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint SRPMS/rubygem-openstack-quantum-client-0.1.5-3.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

 rpmlint RPMS/noarch/rubygem-openstack-quantum-client-0.1.5-3.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Thanks
Comment 9 Guillermo Gómez 2012-11-11 10:32:44 EST
Reviewed, nothing else to comment.

APPROVED
Comment 10 Alejandro_Perez 2012-11-11 11:42:13 EST
New Package SCM Request
=======================
Package Name: rubygem-openstack-quantum-client
Short Description: Ruby Openstack Quantum Interface
Owners: aeperezt
Branches: f18 f17 el6
InitialCC:
Comment 11 Gwyn Ciesla 2012-11-12 08:05:56 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-11-22 21:28:38 EST
rubygem-openstack-quantum-client-0.1.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-openstack-quantum-client-0.1.5-3.fc18
Comment 13 Fedora Update System 2012-11-22 21:28:50 EST
rubygem-openstack-quantum-client-0.1.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-openstack-quantum-client-0.1.5-3.fc17
Comment 14 Fedora Update System 2012-11-23 02:56:54 EST
Package rubygem-openstack-quantum-client-0.1.5-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-openstack-quantum-client-0.1.5-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18872/rubygem-openstack-quantum-client-0.1.5-3.fc18
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-12-05 02:00:32 EST
rubygem-openstack-quantum-client-0.1.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-12-05 02:17:15 EST
rubygem-openstack-quantum-client-0.1.5-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.